import { ConditionUtil, FieldUtil, TableUtilImpl, IdType } from 'model-util';
import { PrjDeployConf } from '../models/index';
/**
 * @author auto generate
 * @version 1.0
 * @date 2021-09-09 11:06
 */
interface PrjDeployConfCU extends ConditionUtil<PrjDeployConfCU> {
    ID: FieldUtil<PrjDeployConfCU>;
    PROJECT_ID: FieldUtil<PrjDeployConfCU>;
    PID: FieldUtil<PrjDeployConfCU>;
    MAJOR: FieldUtil<PrjDeployConfCU>;
    MINOR_VERSION_NO: FieldUtil<PrjDeployConfCU>;
    VERSION_NO: FieldUtil<PrjDeployConfCU>;
    MINOR_VERSION_ID: FieldUtil<PrjDeployConfCU>;
    REVISION_VERSION_ID: FieldUtil<PrjDeployConfCU>;
    ENV_ID: FieldUtil<PrjDeployConfCU>;
    ENV_CODE: FieldUtil<PrjDeployConfCU>;
    ENV_TYPE: FieldUtil<PrjDeployConfCU>;
    DEFAULT_VERSION: FieldUtil<PrjDeployConfCU>;
    DEPLOY_METHOD: FieldUtil<PrjDeployConfCU>;
    LOG_CONFIG_TEMPLATE_ID: FieldUtil<PrjDeployConfCU>;
    INSTANCE_CPU: FieldUtil<PrjDeployConfCU>;
    INSTANCE_MEMORY: FieldUtil<PrjDeployConfCU>;
    MIN_INSTANCE: FieldUtil<PrjDeployConfCU>;
    MAX_INSTANCE: FieldUtil<PrjDeployConfCU>;
    RUN_STATUS: FieldUtil<PrjDeployConfCU>;
    DEPLOY_STATUS: FieldUtil<PrjDeployConfCU>;
    DEPLOY_MSG: FieldUtil<PrjDeployConfCU>;
    DEPLOY_PARAMETERS: FieldUtil<PrjDeployConfCU>;
    ENV_VARIABLE: FieldUtil<PrjDeployConfCU>;
    COMMIT_ID: FieldUtil<PrjDeployConfCU>;
    COMMIT_TAG: FieldUtil<PrjDeployConfCU>;
    K8S_ID: FieldUtil<PrjDeployConfCU>;
    KAFKA_ID: FieldUtil<PrjDeployConfCU>;
    K8S_CONFIG: FieldUtil<PrjDeployConfCU>;
    KAFKA_CONFIG: FieldUtil<PrjDeployConfCU>;
    LOG_CONFIG: FieldUtil<PrjDeployConfCU>;
    PRJ_TYPE: FieldUtil<PrjDeployConfCU>;
    APP_OPTIONS_CONFIG: FieldUtil<PrjDeployConfCU>;
    K8S_CLUSTER_ID: FieldUtil<PrjDeployConfCU>;
    METRICS_TEMPLATE_ID: FieldUtil<PrjDeployConfCU>;
    SUBSCRIPTION_ID: FieldUtil<PrjDeployConfCU>;
    CREATE_TIME: FieldUtil<PrjDeployConfCU>;
    UPDATE_TIME: FieldUtil<PrjDeployConfCU>;
    UPDATE_USER_ID: FieldUtil<PrjDeployConfCU>;
    CREATE_USER_ID: FieldUtil<PrjDeployConfCU>;
}
declare class PrjDeployConfMU extends TableUtilImpl<PrjDeployConfCU, PrjDeployConf> {
    tableName: string;
    tableFields: string[];
    modelFields: string[];
    modelIdFields: string[];
    tableIdFields: string[];
    idType: IdType;
    joinTables: any[];
    subTables: any[];
    createConditionUtil(): PrjDeployConfCU;
    static get ID(): FieldUtil<PrjDeployConfCU>;
    static get PROJECT_ID(): FieldUtil<PrjDeployConfCU>;
    static get PID(): FieldUtil<PrjDeployConfCU>;
    static get MAJOR(): FieldUtil<PrjDeployConfCU>;
    static get MINOR_VERSION_NO(): FieldUtil<PrjDeployConfCU>;
    static get VERSION_NO(): FieldUtil<PrjDeployConfCU>;
    static get MINOR_VERSION_ID(): FieldUtil<PrjDeployConfCU>;
    static get REVISION_VERSION_ID(): FieldUtil<PrjDeployConfCU>;
    static get ENV_ID(): FieldUtil<PrjDeployConfCU>;
    static get ENV_CODE(): FieldUtil<PrjDeployConfCU>;
    static get ENV_TYPE(): FieldUtil<PrjDeployConfCU>;
    static get DEFAULT_VERSION(): FieldUtil<PrjDeployConfCU>;
    static get DEPLOY_METHOD(): FieldUtil<PrjDeployConfCU>;
    static get LOG_CONFIG_TEMPLATE_ID(): FieldUtil<PrjDeployConfCU>;
    static get INSTANCE_CPU(): FieldUtil<PrjDeployConfCU>;
    static get INSTANCE_MEMORY(): FieldUtil<PrjDeployConfCU>;
    static get MIN_INSTANCE(): FieldUtil<PrjDeployConfCU>;
    static get MAX_INSTANCE(): FieldUtil<PrjDeployConfCU>;
    static get RUN_STATUS(): FieldUtil<PrjDeployConfCU>;
    static get DEPLOY_STATUS(): FieldUtil<PrjDeployConfCU>;
    static get DEPLOY_MSG(): FieldUtil<PrjDeployConfCU>;
    static get DEPLOY_PARAMETERS(): FieldUtil<PrjDeployConfCU>;
    static get ENV_VARIABLE(): FieldUtil<PrjDeployConfCU>;
    static get COMMIT_ID(): FieldUtil<PrjDeployConfCU>;
    static get COMMIT_TAG(): FieldUtil<PrjDeployConfCU>;
    static get K8S_ID(): FieldUtil<PrjDeployConfCU>;
    static get KAFKA_ID(): FieldUtil<PrjDeployConfCU>;
    static get K8S_CONFIG(): FieldUtil<PrjDeployConfCU>;
    static get KAFKA_CONFIG(): FieldUtil<PrjDeployConfCU>;
    static get LOG_CONFIG(): FieldUtil<PrjDeployConfCU>;
    static get PRJ_TYPE(): FieldUtil<PrjDeployConfCU>;
    static get APP_OPTIONS_CONFIG(): FieldUtil<PrjDeployConfCU>;
    static get K8S_CLUSTER_ID(): FieldUtil<PrjDeployConfCU>;
    static get METRICS_TEMPLATE_ID(): FieldUtil<PrjDeployConfCU>;
    static get SUBSCRIPTION_ID(): FieldUtil<PrjDeployConfCU>;
    static get CREATE_TIME(): FieldUtil<PrjDeployConfCU>;
    static get UPDATE_TIME(): FieldUtil<PrjDeployConfCU>;
    static get UPDATE_USER_ID(): FieldUtil<PrjDeployConfCU>;
    static get CREATE_USER_ID(): FieldUtil<PrjDeployConfCU>;
    get ID(): FieldUtil<PrjDeployConfCU>;
    get PROJECT_ID(): FieldUtil<PrjDeployConfCU>;
    get PID(): FieldUtil<PrjDeployConfCU>;
    get MAJOR(): FieldUtil<PrjDeployConfCU>;
    get MINOR_VERSION_NO(): FieldUtil<PrjDeployConfCU>;
    get VERSION_NO(): FieldUtil<PrjDeployConfCU>;
    get MINOR_VERSION_ID(): FieldUtil<PrjDeployConfCU>;
    get REVISION_VERSION_ID(): FieldUtil<PrjDeployConfCU>;
    get ENV_ID(): FieldUtil<PrjDeployConfCU>;
    get ENV_CODE(): FieldUtil<PrjDeployConfCU>;
    get ENV_TYPE(): FieldUtil<PrjDeployConfCU>;
    get DEFAULT_VERSION(): FieldUtil<PrjDeployConfCU>;
    get DEPLOY_METHOD(): FieldUtil<PrjDeployConfCU>;
    get LOG_CONFIG_TEMPLATE_ID(): FieldUtil<PrjDeployConfCU>;
    get INSTANCE_CPU(): FieldUtil<PrjDeployConfCU>;
    get INSTANCE_MEMORY(): FieldUtil<PrjDeployConfCU>;
    get MIN_INSTANCE(): FieldUtil<PrjDeployConfCU>;
    get MAX_INSTANCE(): FieldUtil<PrjDeployConfCU>;
    get RUN_STATUS(): FieldUtil<PrjDeployConfCU>;
    get DEPLOY_STATUS(): FieldUtil<PrjDeployConfCU>;
    get DEPLOY_MSG(): FieldUtil<PrjDeployConfCU>;
    get DEPLOY_PARAMETERS(): FieldUtil<PrjDeployConfCU>;
    get ENV_VARIABLE(): FieldUtil<PrjDeployConfCU>;
    get COMMIT_ID(): FieldUtil<PrjDeployConfCU>;
    get COMMIT_TAG(): FieldUtil<PrjDeployConfCU>;
    get K8S_ID(): FieldUtil<PrjDeployConfCU>;
    get KAFKA_ID(): FieldUtil<PrjDeployConfCU>;
    get K8S_CONFIG(): FieldUtil<PrjDeployConfCU>;
    get KAFKA_CONFIG(): FieldUtil<PrjDeployConfCU>;
    get LOG_CONFIG(): FieldUtil<PrjDeployConfCU>;
    get PRJ_TYPE(): FieldUtil<PrjDeployConfCU>;
    get APP_OPTIONS_CONFIG(): FieldUtil<PrjDeployConfCU>;
    get K8S_CLUSTER_ID(): FieldUtil<PrjDeployConfCU>;
    get METRICS_TEMPLATE_ID(): FieldUtil<PrjDeployConfCU>;
    get SUBSCRIPTION_ID(): FieldUtil<PrjDeployConfCU>;
    get CREATE_TIME(): FieldUtil<PrjDeployConfCU>;
    get UPDATE_TIME(): FieldUtil<PrjDeployConfCU>;
    get UPDATE_USER_ID(): FieldUtil<PrjDeployConfCU>;
    get CREATE_USER_ID(): FieldUtil<PrjDeployConfCU>;
}
export { PrjDeployConfMU, PrjDeployConfCU };
